Subject: Re: bug#4841: 23.1.50; tramp su/sudo makes vc-dir hang (found remote shell ...)

From: Michael Albinus <[email-masked]>
Date: Tue, 03 Nov 2009 22:15:35 +0100

Stefano Zacchiroli <[email-masked]> writes:

> On Sun, Nov 01, 2009 at 11:05:20PM +0100, Stefano Zacchiroli wrote:
>> ... so I've tried this, the *tramp ...* buffer was still empty, but the
>> *debug tramp ...* was not. I'm attaching its content, gzipped since it
>> is 160 Kb (yes, I've cleaned it up just before doing the test, but still

The last command Tramp performs is

cd /etc/; exec git ls-files -z -o --directory --no-empty-directory --exclude-standard --

Nothing returned. Could you, please, run the command as root in a shell,
and see what happens? Maybe with and without the "exec" ...

> Cheers.

Best regards, Michael.